# StringReader Class Reference
[Various accompanying utilities]

Inheritance diagram for StringReader:
[legend]

List of all members.

## Public Member Functions

| __construct ($string)
| close ()
| read ($count)
| mark ()
| markSupported ()
| reset ()
| skip ($count)
| isEof ()
| getWhole ()

## Static Public Member Functions

static | create ($string)

## Private Member Functions

| ensureOpen ()

## Private Attributes

| $string = null
| $length = null
| $next = 0
| $mark = 0

## Detailed Description

Definition at line 15 of file StringReader.class.php.

## Constructor & Destructor Documentation

StringReader::__construct | ( | $ | string | ) |

Definition at line 31 of file StringReader.class.php.

References $string.

## Member Function Documentation

StringReader::close | ( |  | ) |

Returns:
  StringReader

Reimplemented from Reader.

Definition at line 40 of file StringReader.class.php.

static StringReader::create | ( | $ | string | ) | `[static]`

Returns:
  StringReader

Definition at line 26 of file StringReader.class.php.

References $string.

StringReader::ensureOpen | ( |  | ) | `[private]`

Definition at line 118 of file StringReader.class.php.

Referenced by mark(), read(), reset(), and skip().

StringReader::getWhole | ( |  | ) |

Reimplemented from Reader.

Definition at line 113 of file StringReader.class.php.

References read().

Here is the call graph for this function:

StringReader::isEof | ( |  | ) |

Reimplemented from Reader.

Definition at line 108 of file StringReader.class.php.

Referenced by skip().

StringReader::mark | ( |  | ) |

Returns:
  StringReader

Reimplemented from Reader.

Definition at line 64 of file StringReader.class.php.

References ensureOpen().

Here is the call graph for this function:

StringReader::markSupported | ( |  | ) |

Reimplemented from Reader.

Definition at line 73 of file StringReader.class.php.

StringReader::read | ( | $ | count | ) |

Reimplemented from Reader.

Definition at line 47 of file StringReader.class.php.

References ensureOpen().

Referenced by getWhole().

Here is the call graph for this function:

StringReader::reset | ( |  | ) |

Returns:
  StringReader

Reimplemented from Reader.

Definition at line 81 of file StringReader.class.php.

References ensureOpen().

Here is the call graph for this function:

StringReader::skip | ( | $ | count | ) |

Reimplemented from Reader.

Definition at line 90 of file StringReader.class.php.

References ensureOpen(), and isEof().

Here is the call graph for this function:

## Member Data Documentation

StringReader::$length = null`[private]`

Definition at line 18 of file StringReader.class.php.

StringReader::$mark = 0`[private]`

Definition at line 21 of file StringReader.class.php.

StringReader::$next = 0`[private]`

Definition at line 20 of file StringReader.class.php.

StringReader::$string = null`[private]`

Definition at line 17 of file StringReader.class.php.

Referenced by __construct(), and create().

The documentation for this class was generated from the following file:

- main/Utils/IO/StringReader.class.php